Issue #16774 has been updated by mame (Yusuke Endoh).


Great.  Thank you.

----------------------------------------
Bug #16774: Don't require sub-word atomics
https://bugs.ruby-lang.org/issues/16774#change-85201

* Author: schwab (Andreas Schwab)
* Status: Open
* Priority: Normal
* Backport: 2.5: REQUIRED, 2.6: REQUIRED, 2.7: REQUIRED
----------------------------------------
On some architectures (like RISC-V) sub-word atomics are only available
when linking against -latomic, but the configure script doesn't do that,
causing the atomic checks to fail and the resulting ruby binary is
non-functional.  Ruby does not use sub-word atomic operations, rb_atomic_t
is defined to unsigned int, so use unsigned int when checking for atomic
operations.


---Files--------------------------------
0001-Don-t-require-sub-word-atomics.patch (1.41 KB)


-- 
https://bugs.ruby-lang.org/

Unsubscribe: <mailto:ruby-core-request / ruby-lang.org?subject=unsubscribe>
<http://lists.ruby-lang.org/cgi-bin/mailman/options/ruby-core>